Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.linker
Class DirectInstallLinker

    java.lang.Object
      com.google.gwt.core.ext.Linker
          com.google.gwt.core.ext.linker.AbstractLinker
              com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
                  com.google.gwt.core.linker.CrossSiteIframeLinker
                      com.google.gwt.core.linker.DirectInstallLinker

    public class DirectInstallLinker

extends CrossSiteIframeLinker

A linker that adds a script tag to the iframe rather than downloading the code as a string and then installing it into the iframe.

Field Summary

Fields inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
`COMPUTE_SCRIPT_BASE_JS, FRAGMENT_EXTENSION, FRAGMENT_SUBDIR, permutationsUtil, PROCESS_METAS_JS`

Constructor Summary
`DirectInstallLinker()`

Method Summary
`protected java.lang.String` | `getJsInstallScript(LinkerContext context)` Returns the name of the `JsInstallScript` script.
`protected boolean` | `shouldInstallCode(LinkerContext context)`

Methods inherited from class com.google.gwt.core.linker.CrossSiteIframeLinker
`fillSelectionScriptTemplate, getCompilationExtension, getDescription, getHostedFilename, getHostedFilenameFull, getJsComputeScriptBase, getJsComputeUrlForResource, getJsInstallLocation, getJsIsBodyLoaded, getJsLoadExternalStylesheets, getJsModuleFunctionErrorCatch, getJsPermutations, getJsProcessMetas, getJsProperties, getJsWaitForBodyLoaded, getModulePrefix, getModuleSuffix, getSelectionScriptTemplate, includeJs, maybeAddHostedModeFile, maybeOutputPropertyMap, shouldIncludeBootstrapInPrimaryFragment, shouldOutputPropertyMap, shouldUseSelfForWindowAndDocument, wrapPrimaryFragment`

Methods inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
`doEmitCompilation, emitSelectionScript, generateDeferredFragment, generatePrimaryFragment, generatePrimaryFragmentString, generateSelectionScript, generateSelectionScript, getModulePrefix, link, link, readFileToStringBuffer, replaceAll, supportsDevModeInJunit`

Methods inherited from class com.google.gwt.core.ext.linker.AbstractLinker
`emitBytes, emitBytes, emitInputStream, emitInputStream, emitString, emitString, emitWithStrongName, emitWithStrongName`

Methods inherited from class com.google.gwt.core.ext.Linker
`isShardable, relink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectInstallLinker

    public DirectInstallLinker()

Method Detail

### getJsInstallScript

    protected java.lang.String getJsInstallScript(LinkerContext context)

  Description copied from class: `CrossSiteIframeLinker`
  Returns the name of the `JsInstallScript` script. By default, returns `"com/google/gwt/core/ext/linker/impl/installScriptEarlyDownload.js"`.

  If you override this to return `installScriptDirect.js`, then you should also override `CrossSiteIframeLinker.shouldInstallCode(LinkerContext)` to return `false`.

  Overrides:
    `getJsInstallScript` in class `CrossSiteIframeLinker`
  Parameters:
    `context` - a LinkerContext

### shouldInstallCode

    protected boolean shouldInstallCode(LinkerContext context)

  Overrides:
    `shouldInstallCode` in class `CrossSiteIframeLinker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD